### Method

# Gimp Curve set_n_samples

since: 3.2

#### Declaration [src]

    void
    gimp_curve_set_n_samples (
      GimpCurve* curve,
      gint n_samples
    )

#### Description [src]

Sets the number of sample in a `GIMP_CURVE_FREE` `curve`.

Samples will be positioned on the curve abscissa at regular interval. The more samples, the more your curve will have details. Currently, the value of `n_samples` is limited and must be between `2^8` and `2^12`.

Note that changing the number of samples will reset the curve to an identity curve.

Available since: 3.2

Sets property | `Gimp.Curve:n-samples`

#### Parameters

`n_samples`

  Type: `gint`

  The number of samples.